## efl 1.23.3

=== meson_options.txt ===
option('audio',
  type : 'boolean',
  value : true,
  description : 'Audio support in efl'
)

option('avahi',
  type : 'boolean',
  value : true,
  description : 'Avahi (zeroconf) support in efl'
)

option('x11',
  type : 'boolean',
  value : true,
  description : 'X11 support in efl'
)

option('fb',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbocon) support in efl'
)

option('sdl',
  type : 'boolean',
  value : false,
  description : 'SDL support in efl'
)

option('wl',
  type : 'boolean',
  value : false,
  description : 'Wayland client support in efl'
)

option('buffer',
  type : 'boolean',
  value : false,
  description : 'Generic graphics buffer API support in efl'
)

option('drm',
  type : 'boolean',
  value : false,
  description : 'DRM/KMS advanced framebuffer/console support in efl'
)

option('cocoa',
  type : 'boolean',
  value : false,
  description : 'Apple MacOS cocoa support in efl'
)

option('physics',
  type : 'boolean',
  value : true,
  description : 'Physics engine (bullet) in efl'
)

option('eeze',
  type : 'boolean',
  value : true,
  description : 'Device abstraction (udev wrapper) in efl'
)

option('opengl',
  type : 'combo',
  choices : ['full', 'es-egl', 'none'],
  value : 'es-egl',
  description : 'Type of OpenGL support in efl'
)

option('build-id',
  type : 'string',
  value : 'none',
  description : 'The build id string for efl set as the EFL_BUILD_ID define')

option('eina-magic-debug',
  type : 'boolean',
  value : true,
  description : 'Magic number checking of eina structures in efl'
)

option('debug-threads',
  type : 'boolean',
  value : false,
  description : 'Thread debugging in efl'
)

option('build-examples',
  type : 'boolean',
  value : true,
  description : 'Compile examples'
)

option('build-tests',
  type : 'boolean',
  value : true,
  description : 'Compile tests'
)

option('crypto',
  type : 'combo',
  choices : ['gnutls', 'openssl'],
  value : 'openssl',
  description : 'Which SSL Crypto library used in efl'
)

option('glib',
  type : 'boolean',
  value : true,
  description : 'Main loop integration for glib in efl'
)

option('g-mainloop',
  type : 'boolean',
  value : false,
  description : 'Use glib to run the main loop in efl'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'GStreamer 1.0+ support in efl'
)

option('systemd',
  type : 'boolean',
  value : true,
  description : 'Systemd support in efl'
)

option('pulseaudio',
  type : 'boolean',
  value : true,
  description : 'Pulseaudio support for audio API'
)

option('network-backend',
  type : 'combo',
  choices : ['connman', 'none'],
  value : 'none',
  description : 'Connman support in efl'
)

option('xpresent',
  type : 'boolean',
  value : false,
  description : 'X11 XPresent extension support in efl'
)

option('xgesture',
  type : 'boolean',
  value : false,
  description : 'X11 XGesture support in efl'
)

option('xinput2',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.0+ support in efl'
)

option('xinput22',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.2+ support in efl'
)

option('tslib',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbcon) touchscreen tslib support in efl'
)

option('eject-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the eject binary, if "detect" internal eeze bins are used'
)

option('mount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the mount binary, if "detect" internal eeze bins are used'
)

option('unmount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the unmount binary, if "detect" internal eeze bins are used'
)

option('evas-modules',
  type : 'combo',
  choices : ['shared', 'static'],
  value : 'shared',
  description : 'Should modules be shared or statically inlined'
)

option('evas-loaders-disabler',
  type : 'array',
  description : 'List of modular image/vector loaders to disable in efl',
  choices : ['gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json'],
  value : ['webp', 'json']
)

option('ecore-imf-loaders-disabler',
  type : 'array',
  description : 'List of input methods to disable in efl',
  choices : ['xim', 'ibus', 'scim'],
  value : ['scim']
)

option('emotion-loaders-disabler',
  type : 'array',
  description : 'List of video back-ends to disable in efl',
  choices : ['gstreamer', 'gstreamer1', 'libvlc', 'xine'],
  value : ['gstreamer', 'libvlc', 'xine']
)

option('emotion-generic-loaders-disabler',
  type : 'array',
  description : 'List of out-of-process generic binary video loaders to disable in efl',
  choices : ['vlc'],
  value : ['vlc']
)

option('harfbuzz',
  type : 'boolean',
  value : true,
  description : 'Harfbuzz (complex text layout library) support in efl'
)

option('fribidi',
  type : 'boolean',
  value : true,
  description : 'Fribidi (right to left text layout library) support in efl'
)

option('fontconfig',
  type : 'boolean',
  value : true,
  description : 'Fontconfig (system font database) support in efl'
)

option('edje-sound-and-video',
  type : 'boolean',
  value : true,
  description : 'disable sound and video for edje'
)

option('pixman',
  type : 'boolean',
  value : false,
  description : 'Pixman software renderer support in efl'
)

option('hyphen',
  type : 'boolean',
  value : false,
  description : 'Hyphen text layout support in efl'
)

option('embedded-lz4',
  type : 'boolean',
  value : true,
  description : 'Use the embedded in-tree zlib r131 release instead of system zlib'
)

option('libmount',
  type : 'boolean',
  value : true,
  description : 'Libmount support for device mounting in efl'
)

option('vnc-server',
  type : 'boolean',
  value : false,
  description : 'VNS server support in efl for multiseat testing'
)

option('v4l2',
  type : 'boolean',
  value : true,
  description : 'Video v4l2 support'
)

option('elua',
  type : 'boolean',
  value : true,
  description : 'Lua launcher binary support in efl'
)

option('wl-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated wayland support in efl'
)

option('drm-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated DRM/KMS support in efl'
)

option('nls',
  type: 'boolean',
  value: true,
  description: 'Localization'
)

option('bindings',
  type : 'array',
  choices : ['luajit', 'cxx', 'mono'],
  value : ['luajit', 'cxx'],
  description : 'Which auto-generated language bindings for efl to enable',
)

option('mono-beta',
  type: 'boolean',
  value: false,
  description: 'Mono/C# @beta Eo methods enabled in the efl'
)

option('mono-examples-dir',
  type: 'string',
  value: '',
  description: 'Where eolian_mono will search for examples to embed into the documentation'
)

option('lua-interpreter',
  type: 'combo',
  choices: ['luajit', 'lua'],
  value: 'luajit',
  description: 'Which Lua back-end library to use in efl'
)

option('native-arch-optimization',
  type: 'boolean',
  value: true,
  description: 'Enable architecture native optimizations in efl'
)

option('elogind',
  type : 'boolean',
  value : false,
  description : 'elogind support in efl (subset of systemd)'
)

option('windows-version',
  type : 'combo',
  choices : ['vista', 'win7', 'win8', 'win81', 'win10'],
  value : 'win7',
  description : 'When on Windows, compile efl with the specified Windows version'
)

option('dictionaries-hyphen-dir',
  type : 'string',
  value : '/usr/share/hyphen/',
  description : 'The path to the hyphen dictionaries directory'
)

option('elementary-base-dir',
  type : 'string',
  value : '.elementary',
  description : 'The name of the directory for user supplied elementary data files like themes, config files'
)

option('install-eo-files',
  type: 'boolean',
  value: false,
  description : 'Install any eo file'
)

option('mono-friend-assemblies',
  type : 'array',
  value : [],
  description : 'List of friend assemblies that can access efl_mono assembly\'s internal types and members.'
)

## efl 1.8.6

=== debian/changelog ===
efl (1.8.6-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with current gnutls. Closes: #782469.
  * libemotion1: Remove gstreamer modules from the install file.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Feb 2016 10:11:18 +0100

efl (1.8.6-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable gstreamer support. gstreamer 0.10 is being removed and
    while efl 1.9 has support for gstreamer 1.0 that's too big of a
    change for this NMU (Closes: #785845)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 08 Jan 2016 15:58:51 +0100

efl (1.8.6-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using giflib 5. Closes: #803278.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2015 04:38:40 +0000

efl (1.8.6-2.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Graham Inggs ]
  * Do not build with Xprint support. (Closes: #623646)

  [ Andrew Starr-Bochicchio ]
  * debian/rules: Respect DEB_BUILD_OPTIONS=nocheck (Closes: #757944).
    Thanks to Jonas Smedegaard.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 20 Jun 2015 00:02:07 -0400

efl (1.8.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * GnuTLS v3 transition: Change (build-)depends to libgnutls28-dev, add b-d
    on libgcrypt-dev. Closes: #753025
  * efl-doc built with doxygen 1.8.7-3 to work around #762272.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Sep 2014 14:47:56 +0200

efl (1.8.6-2) unstable; urgency=medium

  * patches/04_eina_suite_lockup: cherry-pick f5c125 to fix eina suite lockup

 -- Albin Tonnerre <lutin@debian.org>  Sun, 04 May 2014 13:54:21 +0200

efl (1.8.6-1) unstable; urgency=medium

  * New upstream version
  * debian/watch: update watch file to correctly parse alpha/beta versions
  * patches/{04_magic_debug_abi,05_eina_time_get}: remove, applied upstream

 -- Albin Tonnerre <lutin@debian.org>  Sun, 09 Mar 2014 12:31:42 +0100

efl (1.8.5-3) unstable; urgency=medium

  * debian/control: libedje1, libeio1, libeeze1, efl-dbg are now M-A: same
  * debian: add new package for Emotion
  * debian: add new packages for Ethumb/Ethumb-Client

 -- Albin Tonnerre <lutin@debian.org>  Sat, 01 Mar 2014 14:42:35 +0100

efl (1.8.5-2) unstable; urgency=medium

  * debian: enable GLES insead of regular GL on armel and armhf
  * debian/patches/04_magic_debug_abi: disable 'magic debug' to not break ABI.
    Eina uses a 'magic' number to perform checks on its data structures, but
    enabling this 'magic' number changes to ABI. Eina in debian is currently
    compiled without magic debug, so we need to this patch to keep ABI
    compatibility
  * debian/patches/05_eina_time_get: fix issues with clock_gettime on hurd/*bsd
  * Upload to unstable

 -- Albin Tonnerre <lutin@debian.org>  Sat, 22 Feb 2014 11:34:32 +0100

efl (1.8.5-1) experimental; urgency=medium

  * New upstream release
  * patches/04_eina_file_hash_fix: remove, applied upstream
  * debian/control: allow efl-dbg to be installed on platforms lacking ecore-fb
  * debian/control: allow efl to build on non-linux architectures
    libudev-dev, libmount-dev and libbkid-dev are all linux-specific
    packages. When they're not present the build system disables libeeze, so
    that package is now linux-any.
  * debian/copyright: fix missing licenses for some files (Closes: #736914)

 -- Albin Tonnerre <lutin@debian.org>  Fri, 31 Jan 2014 13:48:50 +0100

efl (1.8.4-2) experimental; urgency=medium

  * debian/control: use misc:Pre-Depends instead of hardcoded multiarch-support
  * debian/control: all libecore packages are now Multi-Arch: same
  * debian: add the libefreet-bin package, necessary for proper efreet operation
  * debian: update the efreet packaging to work with Multi-Arch
    libefreet1 and efreetd communicate via d-bus, and there is a circular
    dependency between libefreet1 and efreetd, which make things difficult
    with Multi-Arch (as the helper binary had to be in a separate package).
    To avoid that circular dependency issue, libefreet1 is now a
    transitional package to libefreet1a and libefreet-bin and the
    libefreet1a shlibs file forces a Depends: libefreet-bin. Thanks to
    Josselin Mouette for the suggestion!
  * debian: add packaging information for Eeze

 -- Albin Tonnerre <lutin@debian.org>  Sun, 26 Jan 2014 20:14:58 +0100

efl (1.8.4-1) experimental; urgency=low

  * New upstream release
  * debian/control: Build-Depend on libudev-dev only for Linux architectures
  * debian/control: libevas1 Depends: libevas-loaders to support more formats
  * debian/control: drop B-D on librsvg2-dev, svg is handled via evas-loaders
  * debian/control: use Architecture: linux-any instead of hardcoded list
  * debian/control: mark libeet1 and libevas1 packages as Multi-Arch: same
  * debian/control: bump Standards-Version to 3.9.5, no changes required
  * patches/03_ecore_evas_extn_abi: remove, applied upstream
  * patches/03_no_ecore_audio_test: disable the Ecore_Audio testsuite.
    We don't ship libecore-audio but the testsuite seems to have issues at
    least on s390x. Since the library has other problems that make
    debugging difficult, disable the tests until it gets fixed.
  * patches/04_eina_file_hash_fix: cherry-pick cad0db51 to fix FTBFS on Sparc
  * debian/rules: use a large testsuite timeout to fix issues on slow buildds
  * debian: merge all libe*-doc into a single efl-doc package.
    The initial upload erroenously copied the complete doc in all the -doc
    packages, reuslting in much bigger packages than expected. Now that all
    libs are in the same source package, keeping separate -doc binary
    packages does not make much sense, so merge them all.

 -- Albin Tonnerre <lutin@debian.org>  Sun, 19 Jan 2014 12:13:11 +0100

efl (1.8.3-1) experimental; urgency=low

  * First upload of the merged EFL tree (Closes: #729751)
  * debian: add control and packages information from previous EFL packages


=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>
Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 9), dh-autoreconf,
 pkg-config, check,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff-dev, libgif-dev, libxpm-dev,
 libfreetype6-dev, libfontconfig1-dev,
 libx11-dev, x11proto-xext-dev, , libglu1-mesa-dev, mesa-common-dev,
 libfribidi-dev, libxrender-dev,
 libgl1-mesa-dev [!armel !armhf], libgles2-mesa-dev [armel armhf],
 libpixman-1-dev, libxcb-shm0-dev, libxcb-image0-dev, libxcb1-dev,
 libxcursor-dev, libxss-dev, libxrender-dev, libxinerama-dev,
 libxrandr-dev, libxext-dev, libxcomposite-dev, libxi-dev,
 libxdamage-dev, x11proto-xext-dev, libxtst-dev, libglib2.0-dev,
 liblua5.1-0-dev, libdbus-1-dev, libsndfile-dev,
 libgnutls28-dev, libcurl4-gnutls-dev, libc-ares-dev,
 libudev-dev [linux-any], libmount-dev [linux-any], libblkid-dev [linux-any],
 libgcrypt-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-e/libs/efl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-e/libs/efl.git
Homepage: http://www.enlightenment.org

# EINA

Package: libeina1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libeina0
Breaks: libeet1 (<= 1.4.0~beta+1.4.0)
Description: Enlightenment Foundation Library providing optimized data types
 Eina is a multi-platform library that provides optimized data types and a few
 tools. It supports the following data types:
  - Array
  - Hash Table
  - Double-linked list
  - Red-black tree
  - Shared string
  - Access Content types
    + Accessor: can access items of a container randomly
    + Iterator: can access items of a container sequentially

Package: libeina-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeina1 (= ${binary:Version}), pkg-config
Recommends: efl-doc
Description: Development files for libeina
 Eina is a multi-platform library that provides optimized data types and a few
 tools. It supports the following data types:
  - Array
  - Hash Table
  - Double-linked list
  - Red-black tree
  - Shared string
  - Access Content types
    + Accessor: can access items of a container randomly
    + Iterator: can access items of a container sequentially
 .
 This package contains headers and static libraries for development with
 libeina.

# EET

Package: libeet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), pkg-config,
 libeina-dev (>= ${source:Upstream-Version}),
 libjpeg-dev, libgnutls28-dev
Recommends: efl-doc
Description: Enlightenment DR17 file chunk reading/writing library development files
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains headers and static libraries for development with libeet.

Package: libeet1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing library
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.

Package: libeet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing utility
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

# EVAS

Package: libevas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libevas-loaders
Description: Enlightenment DR17 advanced canvas library
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the core library and a set of image loaders and/or savers
 for various formats: eet, gif, jpeg, png, svg, tiff and xpm

Package: libevas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libevas1 (= ${binary:Version}), pkg-config,
 libeina-dev (>= ${source:Upstream-Version}),
 libeet-dev  (>= ${source:Upstream-Version}),
 libjpeg-dev, libx11-dev, libfreetype6-dev, libfontconfig1-dev, libfribidi-dev
Suggests: efl-doc
Description: Enlightenment DR17 advanced canvas library development files
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package provides headers and static libraries required to develop against
 evas.

Package: libevas1-engines-x
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libevas-0.9.9.050a-engines
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine-software-x11, libevas1-engine-gl-x11
Description: Evas module providing the X11 engines
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engine-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libevas-0.9.9.050a-engines-extras
Replaces: libevas-engines-extras
Description: Evas module providing the Framebuffer engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the framebuffer Evas engine module.

# ECORE

Package: libecore1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core abstraction layer for enlightenment DR 0.17
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.

Package: libecore-con1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore Connection Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Connection Library.

Package: libecore-evas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore Evas Wrapper Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Evas wrapper functions.

Package: libecore-fb1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore frame buffer system functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore frame buffer system functions.

Package: libecore-file1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore File Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore File Library.

Package: libecore-imf1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore Input Method Framework module
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Input Method Framework module, and the Evas
 helper functions for it.

Package: libecore-input1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore input module
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore input module.

Package: libecore-ipc1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore inter-process communication functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore inter-process communication functions.

Package: libecore-x1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore functions for dealing with the X Window System
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore wrapper and convenience functions for using
 the X Window System.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -fvisibility=hidden
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf))
	arch_flags += --with-opengl=es
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
	arch_flags += --enable-fb
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-rpath \
	--enable-doc \
	--with-profile=dev \
	--with-tests=regular \
	--with-crypto=gnutls \
	--disable-cserve \
	--disable-pulseaudio \
	--disable-physics \
	--disable-tslib \
	--disable-magic-debug \
	--disable-gstreamer \
	$(arch_flags)

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_test-indep:
override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-CK_DEFAULT_TIMEOUT=300 $(MAKE) -j1 check VERBOSE=yes
endif

# The install phase doesn't work reliably in parallel
# Force it to run with only 1 thread to avoid issues
override_dh_auto_install:
	$(MAKE) -j1 DESTDIR=$(CURDIR)/debian/tmp install

override_dh_install:
	dh_install
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -plibecore-dev debian/tmp/usr/lib/*/libecore_fb.so
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xmodule.so

override_dh_shlibdeps:
	dh_shlibdeps -Nlibefreet1a
	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin

override_dh_strip:
	dh_strip --dbg-package=efl-dbg

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://download.enlightenment.org/rel/libs/efl/efl-(.*)\.tar\.gz
